<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
set_time_limit(3000); 
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
if (!$_POST) {
menu();
$entra=0;
echo "<h2>Reporte de BANAVIH</h2>";
		$a=date ("Y");$m=date ("n");$d=date ("j");
		echo "
		<form name='entrada' action='".$_SERVER['PHP_SELF']."' target='_blanks' method='POST' enctype='multipart/form-data'>
		<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
		<input type='hidden' name='reporte' value = '1'>
		<table cellpadding=2 cellspacing=0 align='center'>";
		
		$query = "select * from nomina where id='".$_SESSION['id_validar']."' ";
		$consulta = mysql_query($query) or die ("no se pudo realizar la consulta...");	
		$resultado = mysql_num_rows($consulta);
		echo "<td align = 'right'> N&oacute;mina: </td>";
		echo "<td align = 'left'> <select name = 'nomina'>";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysql_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}	
		echo "</select></td></tr>";
		echo "<tr>";
		$query = "select * from concepto where id='".$_SESSION['id_validar']."' order by codigo";
		$consulta = mysql_query($query) or die ("no se pudo realizar la consulta...");	
		$resultado = mysql_num_rows($consulta);
		echo "<td align = 'right'> Concepto: </td>";
		echo "<td align = 'left'> <select name = 'concepto'><option>";
		if ($resultado != 0) {
			for ($i=0;$i<$resultado;$i++) {
				$row1 = mysql_fetch_array($consulta);
				echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
			}
		}	
		echo "</select></td></tr>";
		echo "	<tr>";
				echo "  	<td  align='right'>Per&iacute;odo:</td>";
				echo "		<td> Mes <select name = 'mesd'>";
							for ($i=1;$i<=12;$i++) {
								if ($i==$m) echo "<option selected>".$i;
								else echo "<option>".$i;
							}
				echo "</select>";
				echo " A&ntilde;o <select name = 'aniod'>";
							for ($i=2007;$i<=2020;$i++) {
								if ($i==$a) echo "<option selected>".$i;
								else echo "<option>".$i;
							}
		echo "</select></td></tr>";
		echo "<tr>";
		echo "<td align='right'>#Deposito:</td>";
		echo "<td align='left'><input name='subtitulo' size = '35' maxlength = '50'></td></tr>";		
		echo "<tr><td colspan='2' align='center'>";
		echo "&nbsp;<p><input name='ver' type='submit' style='margin-left:5px; width:300px' value='Visualizar Reporte para Imprimir/Guardar'>";
		echo "</td></tr>";
		echo "</table></form></font>";
} 

///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	
if ($_POST['reporte']==1) {
		$consulta=mysql_query("select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysql_num_rows($consulta)!=0){
				$row=mysql_fetch_array($consulta);
				$_POST['pie']=$row['pie'];
				$_POST['encabeza']=$row['encabeza'];
				$_POST['empresa']=substr($_POST['nomina'],6,100);
		}
		$fecha=$_POST['aniod']."-".str_repeat("0",2-strlen($_POST['mesd'])).$_POST['mesd'];
		$_POST['titulo']=str_repeat("0",2-strlen($_POST['mesd'])).$_POST['mesd']."-".$_POST['aniod'];
		$nomina = substr($_POST['nomina'],0,3);
		$concepto = (trim($_POST['concepto'])==""?"":" and concepto='".substr($_POST['concepto'],0,4)."'");

		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
		    $this->Image($_SESSION['logo_validar'],10,10,20,20);
		    $this->SetFont('arial','',12);
			$this->Ln(2);
		    $this->Cell(0,0,$_POST['empresa'],0,1,'R'); $this->Ln(5);
			$this->Cell(0,0,$_POST['encabeza'],0,1,'R');$this->Ln(5);
			$this->SetFont('arial','',10);
		    $this->Cell(0,0,'Fecha: '.hoy(),0,1,'R'); $this->Ln(5);
			$this->SetFont('arial','B',12); 
			$this->Cell(0,0,"Relación de Empleados",0,1,'C');$this->Ln(5);
			$this->Cell(0,0,"Fondo de Ahorro Habitacional - Personas Juridicas -",0,1,'C');$this->Ln(5);
			$this->Cell(0,0,"Mes y Año Cancelado: ".$_POST['titulo'],0,1,'C');$this->Ln(5);
			$this->Cell(0,0,"Número de Deposito: ".$_POST['subtitulo'],0,1,'C');$this->Ln(5);
		    $header=array('Item','Apellidos y Nombres','Nacionalidad','C.I.','Sexo','Fecha Ingreso','1%','2%','3%');
		    $this->SetFillColor(255,0,0);
		    $this->SetTextColor(255);
		    $this->SetDrawColor(128,0,0);
		    $this->SetLineWidth(.3);
		    $this->SetFont('','');
			$this->SetFont('arial','B',8);
		    $w=array(10,100,30,20,20,20,20,20,20);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
		}
		function Footer()
		{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');
		}
		} //cierre de clas reporte
		
		$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);

		$query1="select * from historico where id='".$_SESSION['id_validar']."' and nomina=$nomina $concepto and substring(desperiodo,1,7)='$fecha' order by cedula";
		$consulta = mysql_query($query1) or die ($query1.' > '.mysql_error());
		$linea=0;
		$color=0;
		$bandera=0;
		$monto=0;
		while($row=mysql_fetch_array($consulta)) {
				if ($bandera==0) $ced=$row['cedula'];
				if ($ced!=$row['cedula']) {
					$nom="Sin Información......";
					$nac="";
					$nac1="";
					$sex="";
					$fec="";
					$resu1=mysql_query("Select * from personal where id='".$_SESSION['id_validar']."' and codigo = '".$ced."'") or die("Select from personal". mysql_error());
					while ($row4=mysql_fetch_array($resu1)) {
						$nom=trim($row4['apellidos']).",".trim($row4['nombres']);
						$sex=$row4['sexo'];
						$nac1=$row4['nacionalidad'];
						$fec=$row4['fechai'];
					}
					$linea++;
					$pdf->cell(10,5,$linea,0,0,'R',$color);
					$pdf->cell(100,5,$nom,0,0,'',$color);
					$pdf->cell(30,5,$nac1,0,0,'C',$color);
					$pdf->cell(20,5,$ced,0,0,'',$color);
					$pdf->cell(20,5,$sex,0,0,'C',$color);
					$pdf->cell(20,5,$fec,0,0,'',$color);
					$pdf->cell(20,5,number_format($monto,2),0,0,'R',$color);
					$pdf->cell(20,5,number_format($monto*2,2),0,0,'R',$color);
					$pdf->cell(20,5,number_format($monto*3,2),0,1,'R',$color);
					$pdf->ln(1);
					$monto=0;
					$color=!$color;
				}
				$bandera++;
				$ced=$row['cedula'];		
				$monto=$monto+$row['monto'];		
				$total=$total+$row['monto'];
		}
//////////////////////////
					$nom="Sin Información......";
					$nac="";
					$nac1="";
					$sex="";
					$fec="";
					$resu1=mysql_query("Select * from personal where id='".$_SESSION['id_validar']."' and codigo = '".$ced."'") or die("Select from personal". mysql_error());
					while ($row4=mysql_fetch_array($resu1)) {
						$nom=trim($row4['apellidos']).",".trim($row4['nombres']);
						$sex=$row4['sexo'];
						$nac1=$row4['nacionalidad'];
						$fec=$row4['fechan'];
					}
					$linea++;
/////////////////////////					
		$pdf->cell(10,5,$linea,0,0,'R',$color);
		$pdf->cell(100,5,$nom,0,0,'',$color);
		$pdf->cell(30,5,$nac1,0,0,'C',$color);
		$pdf->cell(20,5,$ced,0,0,'',$color);
		$pdf->cell(20,5,$sex,0,0,'C',$color);
		$pdf->cell(20,5,$fec,0,0,'',$color);
		$pdf->cell(20,5,number_format($monto,2),0,0,'R',$color);
		$pdf->cell(20,5,number_format($monto*2,2),0,0,'R',$color);
		$pdf->cell(20,5,number_format($monto*3,2),0,1,'R',$color);
		$pdf->ln(1);
		$pdf->Cell(260,0,'',1,1,'C'); $pdf->ln(1); 
		$pdf->Cell(260,0,'',1,1,'C'); $pdf->ln(1);
		$pdf->cell(200,5,"Total General",0,0,'R',$color);
		$pdf->cell(20,5,number_format($total,2),0,0,'R',$color);
		$pdf->cell(20,5,number_format($total*2,2),0,0,'R',$color);
		$pdf->cell(20,5,number_format($total*3,2),0,1,'R',$color);
		$pdf->Output();
	
} // fin de reporte
?>